import { OnDestroy, OnInit } from '@angular/core';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { NgbCarouselConfig, NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { AuthService } from '../../../services/auth.service';
import dayjs from "dayjs";
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class LeadIntroComponent implements OnDestroy, OnInit {
    private pageInfo;
    gs: GlobalStateService;
    private modalService;
    private authService;
    private router;
    productList: any;
    private readonly destroy$;
    trialDetails: any;
    dayjs: typeof dayjs;
    constructor(pageInfo: PageInfoService, gs: GlobalStateService, config: NgbCarouselConfig, modalService: NgbModal, authService: AuthService, router: Router);
    daysWithin14(date: string): {
        daysRemaining: number;
        percentageRemaining: number;
    };
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    contactSupport(): void;
    updateCircleChart(percentage: number): void;
    reDirectionUrl(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LeadIntroComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LeadIntroComponent, "lib-lead-intro", never, {}, {}, never, never, false, never>;
}
