import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { AuthService } from '../../../services/auth.service';
import { ToastService } from '../../../services/toast.service';
import * as i0 from "@angular/core";
export declare class ContentComponent implements OnInit, OnDestroy {
    private router;
    private modalService;
    private authService;
    private toastService;
    contentContainerCSSClass: string;
    appContentContiner?: 'fixed' | 'fluid';
    appContentContainerClass: string;
    private unsubscribe;
    constructor(router: Router, modalService: NgbModal, authService: AuthService, toastService: ToastService);
    ngOnInit(): void;
    routingChanges(): void;
    ngOnDestroy(): void;
    confirmCsmAssign(clientId: string, email?: string, mobile?: string, name?: string): void;
    getAssignedUsers(): void;
    getCsmDetail(clientId: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ContentComponent, "lib-content", never, { "contentContainerCSSClass": { "alias": "contentContainerCSSClass"; "required": false; }; "appContentContiner": { "alias": "appContentContiner"; "required": false; }; "appContentContainerClass": { "alias": "appContentContainerClass"; "required": false; }; }, {}, never, never, false, never>;
}
