import { OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ILayout, LayoutType } from 'tango-app-ui-global';
import { LayoutService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class HeaderComponent implements OnInit, OnDestroy {
    private layout;
    private router;
    private unsubscribe;
    currentLayoutType: LayoutType | null;
    appHeaderDisplay: boolean;
    appHeaderDefaultFixedDesktop: boolean;
    appHeaderDefaultFixedMobile: boolean;
    appHeaderDefaultContainer: 'fixed' | 'fluid';
    headerContainerCssClass: string;
    appHeaderDefaultContainerClass: string;
    appHeaderDefaultStacked: boolean;
    appSidebarDefaultCollapseDesktopEnabled: boolean;
    appSidebarDisplay: boolean;
    appHeaderDefaultContent: string;
    appHeaderDefaulMenuDisplay: boolean;
    appPageTitleDisplay: boolean;
    constructor(layout: LayoutService, router: Router);
    updateProps(config: ILayout): void;
    ngOnInit(): void;
    routingChanges(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "lib-header", never, {}, {}, never, never, false, never>;
}
