import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { NotificationService } from '../../../../services/notification.service';
import { Router } from '@angular/router';
import { ToastService } from '../../../../services/toast.service';
import * as i0 from "@angular/core";
export declare class NavbarComponent implements OnInit, OnDestroy {
    private service;
    private router;
    private toast;
    private cd;
    appHeaderDefaulMenuDisplay: boolean;
    isRtl: boolean;
    private readonly destroy$;
    itemClass: string;
    btnClass: string;
    btnClass1: string;
    userAvatarClass: string;
    btnIconClass: string;
    notificationReceived: boolean;
    notification: any;
    pushNotificationList: any;
    activeTabId: string;
    loading: boolean;
    noData: boolean;
    url: any;
    showNotification: boolean;
    showDropdown: boolean;
    private subscription;
    notificationDropDownClass: boolean;
    constructor(service: NotificationService, router: Router, toast: ToastService, cd: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngOnInit(): void;
    showNotificationIcon(): void;
    toggleUserDropDown(): void;
    setActiveTabId(tabId: any): void;
    notificationList(): void;
    notificationPushUpdate(data: any, btnDetails: any): void;
    updateNotification(data: any, btnDetails: any): void;
    handleNotification(): void;
    viewAll(type: any): void;
    redirecttonotification(): void;
    onClick(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavbarComponent, "lib-navbar", never, { "appHeaderDefaulMenuDisplay": { "alias": "appHeaderDefaulMenuDisplay"; "required": false; }; "isRtl": { "alias": "isRtl"; "required": false; }; }, {}, never, never, false, never>;
}
