import { ChangeDetectorRef, OnDestroy, OnInit } from "@angular/core";
import { LayoutService } from "tango-app-ui-global";
import dayjs from "dayjs";
import "dayjs/locale/en";
import { AuthService } from '../../../../services/auth.service';
import { GlobalStateService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class ClassicComponent implements OnInit, OnDestroy {
    private layout;
    private globalService;
    private service;
    private cd;
    dayjs: typeof dayjs;
    private unsubscribe;
    dataObject: any;
    isCustomDate: (m: dayjs.Dayjs) => false | "invalid-date";
    dummyArray: any;
    noFilter: boolean;
    searchValue: any;
    responseArray: any;
    getClientList: any;
    constructor(layout: LayoutService, globalService: GlobalStateService, service: AuthService, cd: ChangeDetectorRef);
    ngOnDestroy(): void;
    Opendropdown: boolean;
    permission: {
        group: string;
        description: string;
    }[];
    showdropdown: any;
    selectedValues: string[];
    selectedValuesArray: any[];
    selectedDateRange: any;
    selectedFilters: any;
    ngOnInit(): void;
    getclients(): void;
    onClick(event: MouseEvent): void;
    opendropdown(e: MouseEvent): void;
    Dropdown(value: any, index: number, event: MouseEvent): void;
    searchData(event: any, i: any): void;
    toggleCheckbox(issue: string, index: number): void;
    Reset(): void;
    Apply(): void;
    ranges: any;
    onStartDateChange(event: any): void;
    datechange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClassicComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ClassicComponent, "lib-classic", never, {}, {}, never, never, false, never>;
}
