import { ChangeDetectorRef, OnDestroy, OnInit } from "@angular/core";
import dayjs from "dayjs";
import "dayjs/locale/en";
import { LayoutService } from "tango-app-ui-global";
import { AuthService } from "../../../../services/auth.service";
import { GlobalStateService } from "tango-app-ui-global";
import * as i0 from "@angular/core";
export declare class DatepickerComponent implements OnDestroy, OnInit {
    private layout;
    private gs;
    private service;
    private cd;
    dayjs: typeof dayjs;
    private unsubscribe;
    isCustomDate: (m: dayjs.Dayjs) => false | "invalid-date";
    selectedDateRange: any;
    selectedFilters: any;
    users: any;
    constructor(layout: LayoutService, gs: GlobalStateService, service: AuthService, cd: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngOnInit(): void;
    getUserInfo(client: any): void;
    ranges: any;
    onStartDateChange(event: any): void;
    datechange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatepickerComponent, "lib-datepicker", never, {}, {}, never, never, false, never>;
}
