import { ChangeDetectorRef, OnInit } from '@angular/core';
import dayjs from 'dayjs';
import 'dayjs/locale/en';
import { AuthService } from '../../../../services/auth.service';
import { GlobalStateService } from 'tango-app-ui-global';
import { ActivatedRoute, Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class SingleStoredateComponent implements OnInit {
    private auth;
    private gs;
    private cd;
    private router;
    private activatedRoute;
    dayjs: typeof dayjs;
    isCustomDate: (m: dayjs.Dayjs) => false | "invalid-date";
    selectedDateRange: any;
    storeList: any;
    selectedClient: any;
    selectedFilters: any;
    URL: any;
    baseurl: any;
    users: any;
    headerFilters: any;
    dataUser: any;
    constructor(auth: AuthService, gs: GlobalStateService, cd: ChangeDetectorRef, router: Router, activatedRoute: ActivatedRoute);
    ngOnInit(): void;
    initializeFilters(): void;
    onClientSelect(event: any): void;
    onStartDateChange(event: any): void;
    datechange(event: any): void;
    Apply(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SingleStoredateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SingleStoredateComponent, "lib-single-storedate", never, {}, {}, never, never, false, never>;
}
