import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { ActivatedRoute, Router } from '@angular/router';
import { NotificationService } from '../../../services/notification.service';
import { ToastService } from '../../../services/toast.service';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import * as i0 from "@angular/core";
export declare class NotificationComponent implements OnInit, OnDestroy {
    private pageInfo;
    gs: GlobalStateService;
    private route;
    private service;
    private cd;
    private toast;
    private router;
    private modalService;
    showalert: boolean;
    showdownload: boolean;
    loading: boolean;
    noData: boolean;
    downloadloading: boolean;
    downloadnoData: boolean;
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    paginationSizes: number[];
    limit: number;
    offset: number;
    pageSize: number;
    user: any;
    headerFilter: any;
    clientId: any;
    _id: any;
    data: any;
    private readonly destroy$;
    notification: any;
    total: any;
    downloads: any[];
    headerData: any;
    searchInput: any;
    sortColumName: string;
    sortDirection: any;
    searchValue: string;
    tabtype: any;
    user_id: any;
    private reloadInterval;
    constructor(pageInfo: PageInfoService, gs: GlobalStateService, route: ActivatedRoute, service: NotificationService, cd: ChangeDetectorRef, toast: ToastService, router: Router, modalService: NgbModal);
    ngOnInit(): void;
    cancelDownload(data: any): void;
    ngOnDestroy(): void;
    setPageData(): void;
    notificationList(): void;
    updateNotification(data: any, btnDetails: any): void;
    chooseManager(type: any): void;
    setPaginationSizes(): void;
    onPageChange(pageOffset: number): void;
    onPageSizeChange(pageSize: number): void;
    paginationSize(): number;
    downloadmanagerList(): void;
    downloadFile(record: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationComponent, "lib-notification", never, {}, {}, never, never, false, never>;
}
