import { HttpClient } from '@angular/common/http';
import { Observable, BehaviorSubject } from 'rxjs';
import { GlobalStateService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class NotificationService {
    private http;
    private gs;
    paymentSubscriptionApiUrl: any;
    clientApiUrl: string;
    traxUrl: any;
    private reloadDataSubject;
    reloadData$: Observable<boolean>;
    clientId: BehaviorSubject<string>;
    clientData: BehaviorSubject<any>;
    private notificationReceivedSubject;
    notificationReceived$: Observable<boolean>;
    constructor(http: HttpClient, gs: GlobalStateService);
    triggerReload(): void;
    notificationList(data: any): Observable<any>;
    notificationUpdate(_id: any): Observable<any>;
    notificationPushUpdate(data: any): Observable<any>;
    updateNotificationReceived(value: boolean): void;
    updateRemind(_id: any): Observable<any>;
    updateSubscription(data: any): Observable<any>;
    trialApproved(data: any): Observable<any>;
    getdownloadlist(data: any): Observable<any>;
    cancelDownload(data: any): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NotificationService>;
}
