import { TranslateService } from '@ngx-translate/core';
import * as i0 from "@angular/core";
export interface Locale {
    lang: string;
    data: any;
}
export declare class TranslationService {
    private translate;
    private langIds;
    constructor(translate: TranslateService);
    loadTranslations(...args: Locale[]): void;
    setLanguage(lang: string): void;
    /**
     * Returns selected language
     */
    getSelectedLanguage(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TranslationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TranslationService>;
}
