export declare const locale: {
    lang: string;
    data: {
        TRANSLATOR: {
            SELECT: string;
        };
        MENU: {
            NEW: string;
            ACTIONS: string;
            CREATE_POST: string;
            PAGES: string;
            FEATURES: string;
            APPS: string;
            DASHBOARD: string;
        };
        AUTH: {
            GENERAL: {
                OR: string;
                SUBMIT_BUTTON: string;
                NO_ACCOUNT: string;
                SIGNUP_BUTTON: string;
                FORGOT_BUTTON: string;
                BACK_BUTTON: string;
                PRIVACY: string;
                LEGAL: string;
                CONTACT: string;
            };
            LOGIN: {
                TITLE: string;
                BUTTON: string;
            };
            FORGOT: {
                TITLE: string;
                DESC: string;
                SUCCESS: string;
            };
            REGISTER: {
                TITLE: string;
                DESC: string;
                SUCCESS: string;
            };
            INPUT: {
                EMAIL: string;
                FULLNAME: string;
                PASSWORD: string;
                CONFIRM_PASSWORD: string;
                USERNAME: string;
            };
            VALIDATION: {
                INVALID: string;
                REQUIRED: string;
                MIN_LENGTH: string;
                AGREEMENT_REQUIRED: string;
                NOT_FOUND: string;
                INVALID_LOGIN: string;
                REQUIRED_FIELD: string;
                MIN_LENGTH_FIELD: string;
                MAX_LENGTH_FIELD: string;
                INVALID_FIELD: string;
            };
        };
        ECOMMERCE: {
            COMMON: {
                SELECTED_RECORDS_COUNT: string;
                ALL: string;
                SUSPENDED: string;
                ACTIVE: string;
                FILTER: string;
                BY_STATUS: string;
                BY_TYPE: string;
                BUSINESS: string;
                INDIVIDUAL: string;
                SEARCH: string;
                IN_ALL_FIELDS: string;
            };
            ECOMMERCE: string;
            CUSTOMERS: {
                CUSTOMERS: string;
                CUSTOMERS_LIST: string;
                NEW_CUSTOMER: string;
                DELETE_CUSTOMER_SIMPLE: {
                    TITLE: string;
                    DESCRIPTION: string;
                    WAIT_DESCRIPTION: string;
                    MESSAGE: string;
                };
                DELETE_CUSTOMER_MULTY: {
                    TITLE: string;
                    DESCRIPTION: string;
                    WAIT_DESCRIPTION: string;
                    MESSAGE: string;
                };
                UPDATE_STATUS: {
                    TITLE: string;
                    MESSAGE: string;
                };
                EDIT: {
                    UPDATE_MESSAGE: string;
                    ADD_MESSAGE: string;
                };
            };
        };
    };
};
