import { HttpRequest, HttpHandler, HttpEvent, HttpInterceptor } from '@angular/common/http';
import { Observable } from 'rxjs';
import { GlobalStateService } from 'tango-app-ui-global';
import { AuthService } from '../services/auth.service';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class HttpAuthInterceptor implements HttpInterceptor {
    private gs;
    private authService;
    private router;
    authlocalStorageToken: string;
    private isRefreshingToken;
    private tokenRefreshed;
    constructor(gs: GlobalStateService, authService: AuthService, router: Router);
    intercept(request: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
    private handle401Error;
    private forceLogout;
    static ɵfac: i0.ɵɵFactoryDeclaration<HttpAuthInterceptor, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HttpAuthInterceptor>;
}
