import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class PaginationComponent {
    collection: any[];
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    directionLinks: boolean;
    pageSize: number;
    paginationSizes: number[];
    pageChange: EventEmitter<number>;
    pageSizeChange: EventEmitter<number>;
    instanceId: `${string}-${string}-${string}-${string}-${string}`;
    onPageChange(page: number): void;
    onPageSizeChange(pageSize: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PaginationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaginationComponent, "lib-pagination", never, { "collection": { "alias": "collection"; "required": false; }; "itemsPerPage": { "alias": "itemsPerPage"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "totalItems": { "alias": "totalItems"; "required": false; }; "directionLinks": { "alias": "directionLinks"; "required": false; }; "pageSize": { "alias": "pageSize"; "required": false; }; "paginationSizes": { "alias": "paginationSizes"; "required": false; }; }, { "pageChange": "pageChange"; "pageSizeChange": "pageSizeChange"; }, never, never, false, never>;
}
