import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { PageInfoService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class HeaderMenuComponent implements OnInit, OnDestroy {
    private pageInfo;
    private cd;
    private unsubscribe;
    appPageTitleDirection: string;
    appPageTitleDescription: boolean;
    title$: Observable<string>;
    description$: Observable<string>;
    constructor(pageInfo: PageInfoService, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderMenuComponent, "lib-header-menu", never, { "appPageTitleDirection": { "alias": "appPageTitleDirection"; "required": false; }; "appPageTitleDescription": { "alias": "appPageTitleDescription"; "required": false; }; }, {}, never, never, false, never>;
}
