import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { PageInfoService, PageLink } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class PageTitleComponent implements OnInit, OnDestroy {
    private pageInfo;
    private cd;
    private router;
    private unsubscribe;
    appPageTitleDirection: string;
    appPageTitleBreadcrumb: boolean;
    appPageTitleDescription: boolean;
    title$: Observable<string>;
    description$: Observable<string>;
    bc$: Observable<Array<PageLink>>;
    constructor(pageInfo: PageInfoService, cd: ChangeDetectorRef, router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    redirectFunction(path: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PageTitleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PageTitleComponent, "lib-page-title", never, { "appPageTitleDirection": { "alias": "appPageTitleDirection"; "required": false; }; "appPageTitleBreadcrumb": { "alias": "appPageTitleBreadcrumb"; "required": false; }; "appPageTitleDescription": { "alias": "appPageTitleDescription"; "required": false; }; }, {}, never, never, false, never>;
}
