import { NgZone, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { AuthService } from '../../../../services/auth.service';
import { LayoutService, LayoutType, PageInfoService } from 'tango-app-ui-global';
import * as i0 from "@angular/core";
export declare class SidebarFooterComponent implements OnInit, OnDestroy {
    private auth;
    private router;
    private layout;
    private pageInfo;
    private ngZone;
    isSubMenuActive: boolean;
    userValue: any;
    hovered: boolean;
    private unsubscribe;
    toggleButtonClass: string;
    toggleEnabled: boolean;
    toggleType: string;
    toggleState: string;
    currentLayoutType: LayoutType | null;
    userValuefooter: any;
    toggleAttr: string;
    shouldShowMenuTop: boolean;
    private readonly destroy$;
    openshow: boolean;
    userProfileData: any;
    constructor(auth: AuthService, router: Router, layout: LayoutService, pageInfo: PageInfoService, ngZone: NgZone);
    isArrowReversed: boolean;
    setArrowDirection(isMouseOver: boolean): void;
    ngOnInit(): void;
    toggleMenu(): void;
    profileUrl(): void;
    closeMenu(): void;
    logout(): void;
    ngOnDestroy(): void;
    getProfile(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SidebarFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SidebarFooterComponent, "lib-sidebar-footer", never, { "toggleButtonClass": { "alias": "toggleButtonClass"; "required": false; }; "toggleEnabled": { "alias": "toggleEnabled"; "required": false; }; "toggleType": { "alias": "toggleType"; "required": false; }; "toggleState": { "alias": "toggleState"; "required": false; }; "userValuefooter": { "alias": "userValuefooter"; "required": false; }; }, {}, never, never, false, never>;
}
