import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import dayjs from 'dayjs';
import 'dayjs/locale/en';
import { AuthService } from '../../../../services/auth.service';
import { GlobalStateService } from 'tango-app-ui-global';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class SingleStoreComponent implements OnInit, OnChanges {
    private auth;
    private gs;
    private cd;
    private router;
    urlString: any;
    dayjs: typeof dayjs;
    isCustomDate: (m: dayjs.Dayjs) => false | "invalid-date";
    selectedDateRange: any;
    storeList: any;
    selectedClient: any;
    selectedFilters: any;
    URL: any;
    baseurl: any;
    constructor(auth: AuthService, gs: GlobalStateService, cd: ChangeDetectorRef, router: Router);
    ngOnInit(): void;
    onClientSelect(event: any): void;
    ranges: any;
    onStartDateChange(event: any): void;
    datechange(event: any): void;
    Apply(): void;
    queryString: any;
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SingleStoreComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SingleStoreComponent, "lib-single-store", never, { "urlString": { "alias": "urlString"; "required": false; }; }, {}, never, never, false, never>;
}
