import { ChangeDetectorRef, OnInit } from '@angular/core';
import dayjs from 'dayjs';
import 'dayjs/locale/en';
import { AuthService } from '../../../../services/auth.service';
import { GlobalStateService } from 'tango-app-ui-global';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class StoresingleComponent implements OnInit {
    private auth;
    private gs;
    private cd;
    private router;
    dayjs: typeof dayjs;
    isCustomDate: (m: dayjs.Dayjs) => false | "invalid-date";
    selectedDateRange: any;
    storeList: any;
    selectedClient: any;
    selectedFilters: any;
    constructor(auth: AuthService, gs: GlobalStateService, cd: ChangeDetectorRef, router: Router);
    ngOnInit(): void;
    onClientSelect(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StoresingleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StoresingleComponent, "lib-storesingle", never, {}, {}, never, never, false, never>;
}
