import { OnDestroy, OnInit } from "@angular/core";
import { ActivatedRoute, Router } from "@angular/router";
import { GlobalStateService, LayoutService } from "tango-app-ui-global";
import { ILayout, LayoutType } from "tango-app-ui-global";
import { AuthService } from "../../../services/auth.service";
import * as i0 from "@angular/core";
export declare class ToolbarComponent implements OnInit, OnDestroy {
    private layout;
    private router;
    private route;
    gs: GlobalStateService;
    private auth;
    private unsubscribe;
    currentLayoutType: LayoutType | null;
    appToolbarLayout: "classic" | "accounting" | "extended" | "reports" | "saas";
    appToolbarDisplay: boolean;
    appToolbarContainer: "fixed" | "fluid";
    appToolbarContainerCSSClass: string;
    appToolbarFixedDesktop: boolean;
    appToolbarFixedMobile: boolean;
    appPageTitleDisplay: boolean;
    appPageTitleDirection: string;
    appPageTitleCSSClass: string;
    appPageTitleBreadcrumb: boolean;
    appPageTitleDescription: boolean;
    querParams: any;
    singleSelect: boolean;
    multiSelect: boolean;
    datepicker: boolean;
    singleSelectdatepicker: boolean;
    singleStore: boolean;
    headervalue: any;
    storeId: any;
    users: any;
    selectedFilters: any;
    trafficdatepicker: boolean;
    traxdatepicker: boolean;
    urlString: any;
    traxwithoutdatepicker: boolean;
    storesSingle: boolean;
    nobWithoutClient: boolean;
    merticsHeader: boolean;
    constructor(layout: LayoutService, router: Router, route: ActivatedRoute, gs: GlobalStateService, auth: AuthService);
    ngOnInit(): void;
    updateProps(config: ILayout): void;
    private readonly destroy$;
    ngOnDestroy(): void;
    client: any;
    urlString1: any;
    showPageTitle(): boolean;
    setUIProperties(singleSelect: boolean, multiSelect: boolean, datepicker: boolean, singleStore: boolean, singleSelectdatepicker: boolean, trafficdatepicker: boolean, traxdatepicker: boolean, traxwithoutdatepicker: boolean, storesSingle: boolean, nobWithoutClient: boolean, merticsHeader: boolean): void;
    getUserInfo(client: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToolbarComponent, "lib-toolbar", never, { "currentLayoutType": { "alias": "currentLayoutType"; "required": false; }; "appToolbarLayout": { "alias": "appToolbarLayout"; "required": false; }; }, {}, never, never, false, never>;
}
